require_relative 'event_machine'
require_relative 'adminix/version'
require_relative 'adminix/helpers'
require_relative 'adminix/config'
require_relative 'adminix/entities'
require_relative 'adminix/services'
require_relative 'adminix/web'
require_relative 'adminix/watcher'

module Adminix
  def self.root
    File.dirname __dir__
  end

  def self.config=(config)
    @config = config
  end

  def self.config
    @config
  end

  def self.watcher=(watcher)
    @watcher = watcher
  end

  def self.watcher
    @watcher
  end

  def self.os
    return @os if @os
    @os = if RUBY_PLATFORM =~ /darwin/ then 'mac'
          elsif RUBY_PLATFORM =~ /linux/ then 'linux'
          elsif RUBY_PLATFORM =~ /mswin32/ then 'windows'
          else 'unknown'
          end
  end

  def self.logger
    @logger
  end

  def self.define_logger(source, lvl = nil)
    @logger = Logger.new(source)
    @logger.level = lvl if lvl
  end

  def self.test?
    ENV['ADMINIX_ENV'] == 'test'
  end
end
