module Adminix
  module Helpers
    module Output
      def self.display_message(msg)
        return puts(msg) unless Adminix.test?
        Adminix.logger.info(msg)
      end

      def self.display_multiline_message(lines)
        unless Adminix.test?
          lines.each { |msg| puts(msg) }
          return
        end

        lines.each { |msg| Adminix.logger.info(msg) } 
      end

      def self.display_error_and_exit(msg)
        unless Adminix.test?
          puts "Error: #{msg}"
          exit
        end

        Adminix.logger.error(msg)
      end
    end
  end
end
